/*
	Word Twiddle
	JavaScript game engine
	Version 0.9
	Copyright 2011 by Andrew Krywaniuk
	
	License is hereby granted to freely distribute this game for personal and non-commercial use.
	For other uses, please contact the author.
*/


function $(x)
{
	return document.getElementById(x);
}

function dbg_msg(x)
{
	if (window.console)
		window.console.log(x);
}

// absolute_offset_top - calculate the cumulative Y offset of the element.
function absolute_offset_top(elem)
{
	var y = elem.offsetTop;
	
	while (elem.parentNode)
	{
		elem = elem.parentNode;
		var a = elem.offsetTop;
		if (a) y += a;
	}
	
	return y;
}

function createCookie(name,value,days) {
	if (days) {
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	}
	else var expires = "";
	document.cookie = name+"="+value+expires+"; path=/";
}

function readCookie(name) {
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for(var i=0;i < ca.length;i++) {
		var c = ca[i];
		while (c.charAt(0)==' ') c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return null;
}

function eraseCookie(name) {
	createCookie(name,"",-1);
}


